<?php
namespace controls;

class RankerClients {
  
  public function getReportsContent()
  {
    $rw = \S::get( 'rw' );
    
    if ( $rw == 'create-report' )
      \factory\RankerClients::createPdfReport( \S::get( 'sites' ), \S::get( 'report-form' ), \S::get( 'date-from' ), \S::get( 'date-to' ) );
        
    return \view\RankerClients::drawReportsForm();
  }
  
  public function main_view()
  {
    return \view\RankerClients::main_view( 
              \S::get( 'id' ), 
              \S::get( 'month' ), 
              \S::get( 'year' ) 
            );
  }
  
  public function getSummary()
  {
    return \view\RankerClients::drawSummary( \S::get( 'month' ), \S::get( 'year' ) );    
  }
}
?>
